<style>
table {
  border-collapse: collapse;
}
th, td {
  border:1px black solid;
  padding: 0.25em 0.5em;
}

tr:nth-child(even){ background-color: #f2f2f2; }
.highlight tr:hover { background-color: #ddd; }

th {
  padding-top: 12px;
  padding-bottom: 12px;
  text-align: left;
  background-color: #04AA6D;
  color: white;
}

td.diagonal.falling {
  background: linear-gradient(to right top, #ffffff 0%,#ffffff 49.9%,#000000 50%,#000000 51%,#ffffff 51.1%,#ffffff 100%);
}
td.diagonal.rising {
  background: linear-gradient(to right bottom, #ffffff 0%,#ffffff 49.9%,#000000 50%,#000000 51%,#ffffff 51.1%,#ffffff 100%);
}


.mark {
    display:inline-block;
    width: 22px;
    height:22px;
    border-radius:50%;
    transform: rotate(45deg);
}

.success { background: green; }
.success .mark { background: green;  }
tr:hover > .success { background-color: #00d084; }
.warning { background: orange; }
.warning .mark { background: orange; }
tr:hover > .warning { background-color: #fcb900; }
.failure { background: red; }
.failure .mark { background: red;    }
tr:hover > .failure { background-color: #cf2e2e; }

.mark.ok:before {
    content:"";
    position: absolute;
    width:3px;
    height:9px;
    background-color:#fff;
    left:11px;
    top:6px;
}
.mark.ok:after {
    content:"";
    position: absolute;
    width:3px;
    height:3px;
    background-color:#fff;
    left:8px;
    top:12px;
}

.mark.ko:before {
    content:"";
    position: absolute;
    width:3px;
    height:15px;
    background-color:#fff;
    left:9px;
    top:3px;
}
.mark.ko:after {
    content:"";
    position: absolute;
    width:15px;
    height:3px;
    background-color:#fff;
    left:3px;
    top:9px;
}
</style>

<table>
  <caption>Heimdall features ...:</caption>
  <tr>
    <td></td>
    <th scope='column'>Read</th>
    <th scope='column'>Write</th>
  </tr>
  <tr>
    <th scope='row'>SQL</th>
    <td class='warning'><span class='mark ok'></span></td>
    <td class='failure'><span class='mark ko'></span></td>
  </tr>
  <tr>
    <th scope='row'>REST</th>
    <td class='success'><span class='mark ok'></span></td>
    <td class='failure'><span class='mark ko'></span></td>
  </tr>
  <tr>
    <th scope='row'>CSV</th>
    <td class='success'><span class='mark ok'></span></td>
    <td class='failure'><span class='mark ko'></span></td>
  </tr>
  <tr>
    <th scope='row'>HML</th>
    <td class='success'><span class='mark ok'></span></td>
    <td class='failure'><span class='mark ko'></span></td>
  </tr>
</table>


<table class='highlight'>
  <caption>... allowing you to migrate:</caption>
  <tr>
    <td class='diagonal falling' style='padding: 0;'>
	  <div style='text-align: right; vertical-align: top;'>To</div>
	  <div style='text-align: left; vertical-align: bottom;'>From</div>
    </td>
    <th scope='column'>Your app</th>
    <th scope='column'>Estrades</th>
    <th scope='column'>SQL</th>
    <th scope='column'>REST</th>
    <th scope='column'>CSV</th>
    <th scope='column'>Omeka</th>
    <th scope='column'>Heurist</th>
  </tr>
  <tr>
    <th scope='row'>Your app</th>
    <td class='success'><span class='mark ok'></span></td>
    <td class='success'><span class='mark ok'></span></td>
    <td>TBD</td>
    <td class='failure'><span class='mark ko'></span></td>
    <td>TBD</td>
    <td>TBD</td>
    <td>TBD</td>
  </tr>
  <tr>
    <th scope='row'>Estrades</th>
    <td class='success'><span class='mark ok'></span></td>
    <td class='success'><span class='mark ok'></span></td>
    <td>TBD</td>
    <td class='failure'><span class='mark ko'></span></td>
    <td>TBD</td>
    <td>TBD</td>
    <td>TBD</td>
  </tr>
  <tr>
    <th scope='row'>SQL</th>
    <td class='warning'><span class='mark ok'></span></td>
    <td class='warning'><span class='mark ok'></span></td>
    <td class='warning'><span class='mark ok'></span></td>
    <td class='failure'><span class='mark ko'></span></td>
    <td>TBD</td>
    <td>TBD</td>
    <td>TBD</td>
  </tr>
  <tr>
    <th scope='row'>REST</th>
    <td class='success'><span class='mark ok'></span></td>
    <td class='success'><span class='mark ok'></span></td>
    <td>TBD</td>
    <td class='warning'><span class='mark ok'></span></td>
    <td>TBD</td>
    <td>TBD</td>
    <td>TBD</td>
  </tr>
  <tr>
    <th scope='row'>CSV</th>
    <td class='success'><span class='mark ok'></span></td>
    <td class='success'><span class='mark ok'></span></td>
    <td>TBD</td>
    <td class='failure'><span class='mark ko'></span></td>
    <td class='success'><span class='mark ok'></span></td>
    <td>TBD</td>
    <td>TBD</td>
  </tr>
  <tr>
    <th scope='row'>Omeka</th>
    <td class='success'><span class='mark ok'></span></td>
    <td class='success'><span class='mark ok'></span></td>
    <td>TBD</td>
    <td class='failure'><span class='mark ko'></span></td>
    <td>TBD</td>
    <td class='success'><span class='mark ok'></span></td>
    <td>TBD</td>
  </tr>
  <tr>
    <th scope='row'>Heurist</th>
    <td class='success'><span class='mark ok'></span></td>
    <td class='success'><span class='mark ok'></span></td>
    <td>TBD</td>
    <td class='failure'><span class='mark ko'></span></td>
    <td>TBD</td>
    <td>TBD</td>
    <td class='warning'><span class='mark ok'></span></td>
  </tr>
</table>
